Support building without sqlite.
authorPanu Matilainen <pmatilai@turre.koti.laiskiainen.org>
Sat, 7 Jul 2007 22:31:27 +0000 (01:31 +0300)
committerPanu Matilainen <pmatilai@turre.koti.laiskiainen.org>
Sat, 7 Jul 2007 22:31:27 +0000 (01:31 +0300)
17 files changed:
Makefile.in
apt-pkg/Makefile.in
apt-pkg/contrib/sqlite.cc
apt-pkg/contrib/sqlite.h
apt-pkg/rpm/rpmhandler.cc
apt-pkg/rpm/rpmhandler.h
apt-pkg/rpm/rpmindexfile.cc
apt-pkg/rpm/rpmrecords.cc
buildlib/config.h.in
cmdline/Makefile.in
configure
configure.ac
doc/Makefile.in
lua/Makefile.in
methods/Makefile.in
test/Makefile.in
tools/Makefile.in

index d69370a..5126352 100644 (file)
@@ -198,6 +198,7 @@ SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOCKETLIBS = @SOCKETLIBS@
+SQLITE3LIBS = @SQLITE3LIBS@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@
index 7549134..a9e67d6 100644 (file)
@@ -185,6 +185,7 @@ SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOCKETLIBS = @SOCKETLIBS@
+SQLITE3LIBS = @SQLITE3LIBS@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@
index 5ead954..8d43347 100644 (file)
@@ -2,6 +2,10 @@
 #pragma implementation "apt-pkg/sqlite.h"
 #endif
 
+#include <config.h>
+
+#ifdef WITH_SQLITE3
+
 #include <apt-pkg/sqlite.h>
 #include <apt-pkg/error.h>
 
@@ -105,4 +109,7 @@ SqliteQuery::~SqliteQuery()
    }
 }
 
+#endif /* WITH_SQLITE3 */
+
+
 // vim:sts=3:sw=3
index 4fc8608..af2be6f 100644 (file)
@@ -5,6 +5,8 @@
 #pragma interface "apt-pkg/sqlite.h"
 #endif
 
+#ifdef WITH_SQLITE3
+
 #include <sqlite3.h>
 #include <string>
 #include <map>
@@ -55,5 +57,7 @@ class SqliteDB
    ~SqliteDB();
 };
 
+#endif /* WITH_SQLITE3 */
+
 #endif
 // vim:sts=3:sw=3
index 1bde86f..04b66ca 100644 (file)
@@ -32,7 +32,9 @@
 #include <libxml/tree.h>
 #include <libxml/xmlreader.h>
 #include <sstream>
+#ifdef WITH_SQLITE3
 #include <apt-pkg/sqlite.h>
+#endif
 #include "xmlutil.h"
 #endif
 
@@ -1474,6 +1476,7 @@ bool RPMRepomdOtherHandler::ChangeLog(vector<ChangeLogEntry* > &ChangeLogs)
    return true;
 }
 
+#ifdef WITH_SQLITE3
 RPMSqliteHandler::RPMSqliteHandler(string File) : 
    Primary(NULL), Filelists(NULL), Other(NULL), Packages(NULL)
 {
@@ -1748,7 +1751,7 @@ bool RPMSqliteHandler::ChangeLog(vector<ChangeLogEntry* > &ChangeLogs)
    delete Changes;
    return true;
 }
-
+#endif /* WITH_SQLITE3 */
 
 #endif /* APT_WITH_REPOMD */
 
index 524f490..16fa6b0 100644 (file)
@@ -382,6 +382,7 @@ class RPMRepomdOtherHandler : public RPMRepomdReaderHandler
    virtual ~RPMRepomdOtherHandler() {};
 };
 
+#ifdef WITH_SQLITE3
 class RPMSqliteHandler : public RPMHandler
 {
    protected:
@@ -432,6 +433,8 @@ class RPMSqliteHandler : public RPMHandler
    RPMSqliteHandler(string File);
    virtual ~RPMSqliteHandler();
 };
+#endif /* WITH_SQLITE3 */
+
 #endif /* APT_WITH_REPOMD */
 
 #endif
index d913499..8159899 100644 (file)
@@ -533,10 +533,12 @@ string rpmRepomdIndex::ArchiveURI(string File) const
 
 bool rpmRepomdIndex::HasDBExtension() const
 {
+#ifdef WITH_SQLITE3
    if (! Repository->FindURI("primary_db").empty() && 
        _config->FindB("Acquire::RepoMD::NoDB", false) == false) {
       return true;
    } 
+#endif
    return false;
 }
 
@@ -721,11 +723,12 @@ string rpmRepomdIndex::ReleasePath() const
 RPMHandler* rpmRepomdIndex::CreateHandler() const
 {
    string TypeURI;
+#if WITH_SQLITE3
    if (HasDBExtension()) {
       return new RPMSqliteHandler(IndexFile("primary"));
-   } else {
-      return new RPMRepomdHandler(IndexFile("primary"));
    }
+#endif
+   return new RPMRepomdHandler(IndexFile("primary"));
 } 
 
 bool rpmRepomdIndex::Merge(pkgCacheGenerator &Gen,OpProgress &Prog) const
index d00790c..45a3f37 100644 (file)
@@ -44,8 +44,10 @@ rpmRecordParser::rpmRecordParser(string File, pkgCache &Cache)
       else if (flExtension(File) == "rpm")
         Handler = new RPMSingleFileHandler(File);
 #ifdef APT_WITH_REPOMD
+#ifdef WITH_SQLITE3
       else if (flExtension(File) == "sqlite")
         Handler = new RPMSqliteHandler(File);
+#endif
       else if (flExtension(File) == "xml")
         Handler = new RPMRepomdHandler(File);
 #endif
index 5704e9e..0930efa 100644 (file)
 /* Define if you want to enable SELinux support */
 #undef WITH_SELINUX
 
+/* yes */
+#undef WITH_SQLITE3
+
 /* Define to 1 if your processor stores words with the most significant byte
    first (like Motorola and SPARC, unlike Intel and VAX). */
 #undef WORDS_BIGENDIAN
index 2db299d..2c14542 100644 (file)
@@ -221,6 +221,7 @@ SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOCKETLIBS = @SOCKETLIBS@
+SQLITE3LIBS = @SQLITE3LIBS@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@
index cac1abc..83b72c6 100755 (executable)
--- a/configure
+++ b/configure
@@ -878,6 +878,9 @@ SOCKETLIBS
 PTHREADLIB
 RPM_PATH
 RPMLIBS
+WITH_SQLITE3_TRUE
+WITH_SQLITE3_FALSE
+SQLITE3LIBS
 WITH_LUA_TRUE
 WITH_LUA_FALSE
 WITH_SELINUX_TRUE
@@ -4387,7 +4390,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4390 "configure"' > conftest.$ac_ext
+  echo '#line 4393 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7118,11 +7121,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7121: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7124: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7125: \$? = $ac_status" >&5
+   echo "$as_me:7128: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7386,11 +7389,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7389: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7392: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7393: \$? = $ac_status" >&5
+   echo "$as_me:7396: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7490,11 +7493,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7493: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7496: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7497: \$? = $ac_status" >&5
+   echo "$as_me:7500: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8955,7 +8958,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 8958 "configure"' > conftest.$ac_ext
+    echo '#line 8961 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9819,7 +9822,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9822 "configure"
+#line 9825 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9919,7 +9922,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9922 "configure"
+#line 9925 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12255,11 +12258,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12258: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12261: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12262: \$? = $ac_status" >&5
+   echo "$as_me:12265: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12359,11 +12362,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12362: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12365: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12366: \$? = $ac_status" >&5
+   echo "$as_me:12369: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12895,7 +12898,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 12898 "configure"' > conftest.$ac_ext
+    echo '#line 12901 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -13950,11 +13953,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13953: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13956: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13957: \$? = $ac_status" >&5
+   echo "$as_me:13960: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14054,11 +14057,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14057: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14060: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14061: \$? = $ac_status" >&5
+   echo "$as_me:14064: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15499,7 +15502,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 15502 "configure"' > conftest.$ac_ext
+    echo '#line 15505 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -16273,11 +16276,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16276: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16279: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16280: \$? = $ac_status" >&5
+   echo "$as_me:16283: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16541,11 +16544,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16544: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16547: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16548: \$? = $ac_status" >&5
+   echo "$as_me:16551: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16645,11 +16648,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16648: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16651: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16652: \$? = $ac_status" >&5
+   echo "$as_me:16655: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18110,7 +18113,7 @@ linux*)
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 18113 "configure"' > conftest.$ac_ext
+    echo '#line 18116 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -21881,6 +21884,113 @@ ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
+SAVE_LIBS="$LIBS"
+LIBS=""
+{ echo "$as_me:$LINENO: checking for library containing sqlite3_open" >&5
+echo $ECHO_N "checking for library containing sqlite3_open... $ECHO_C" >&6; }
+if test "${ac_cv_search_sqlite3_open+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_func_search_save_LIBS=$LIBS
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char sqlite3_open ();
+int
+main ()
+{
+return sqlite3_open ();
+  ;
+  return 0;
+}
+_ACEOF
+for ac_lib in '' sqlite3; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
+    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_search_sqlite3_open=$ac_res
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext
+  if test "${ac_cv_search_sqlite3_open+set}" = set; then
+  break
+fi
+done
+if test "${ac_cv_search_sqlite3_open+set}" = set; then
+  :
+else
+  ac_cv_search_sqlite3_open=no
+fi
+rm conftest.$ac_ext
+LIBS=$ac_func_search_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_search_sqlite3_open" >&5
+echo "${ECHO_T}$ac_cv_search_sqlite3_open" >&6; }
+ac_res=$ac_cv_search_sqlite3_open
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
+
+else
+  have_sqlite3="no"
+fi
+
+if test "x$have_sqlite3" != "xno"; then
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_SQLITE3 1
+_ACEOF
+
+   SQLITE3LIBS="$LIBS"
+fi
+LIBS="$SAVE_LIBS"
+
+ if test ! "x$have_sqlite3" = "no"; then
+  WITH_SQLITE3_TRUE=
+  WITH_SQLITE3_FALSE='#'
+else
+  WITH_SQLITE3_TRUE='#'
+  WITH_SQLITE3_FALSE=
+fi
+
+
+
 { echo "$as_me:$LINENO: checking for --disable-scripts" >&5
 echo $ECHO_N "checking for --disable-scripts... $ECHO_C" >&6; }
 # Check whether --enable-scripts was given.
@@ -21941,6 +22051,7 @@ else
 fi
 
 
+
 { echo "$as_me:$LINENO: checking for --disable-repomd" >&5
 echo $ECHO_N "checking for --disable-repomd... $ECHO_C" >&6; }
 # Check whether --enable-repomd was given.
@@ -22195,7 +22306,7 @@ fi
   ## FIXME: Conditionalize this properly. We can support xml repomd without
   ## sqlite and repodb with libxml2 older than 2.6. In addition, rollback
   ## will be using sqlite as well, we only want to check for it once.
-  RPMLIBS="$RPMLIBS -lsqlite3"
+  RPMLIBS="$RPMLIBS $SQLITE3LIBS"
 else
   { echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6; }
@@ -26871,6 +26982,13 @@ echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${WITH_SQLITE3_TRUE}" && test -z "${WITH_SQLITE3_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"WITH_SQLITE3\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"WITH_SQLITE3\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${WITH_LUA_TRUE}" && test -z "${WITH_LUA_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"WITH_LUA\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -27614,6 +27732,9 @@ SOCKETLIBS!$SOCKETLIBS$ac_delim
 PTHREADLIB!$PTHREADLIB$ac_delim
 RPM_PATH!$RPM_PATH$ac_delim
 RPMLIBS!$RPMLIBS$ac_delim
+WITH_SQLITE3_TRUE!$WITH_SQLITE3_TRUE$ac_delim
+WITH_SQLITE3_FALSE!$WITH_SQLITE3_FALSE$ac_delim
+SQLITE3LIBS!$SQLITE3LIBS$ac_delim
 WITH_LUA_TRUE!$WITH_LUA_TRUE$ac_delim
 WITH_LUA_FALSE!$WITH_LUA_FALSE$ac_delim
 WITH_SELINUX_TRUE!$WITH_SELINUX_TRUE$ac_delim
@@ -27649,7 +27770,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 45; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 48; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index d5c7630..86e2109 100644 (file)
@@ -106,6 +106,19 @@ using namespace __gnu_cxx;
 ],[AC_MSG_RESULT(no)])
 AC_LANG_POP([C++])
 
+dnl sqlite3
+SAVE_LIBS="$LIBS"
+LIBS=""
+AC_SEARCH_LIBS([sqlite3_open], [sqlite3], [], [have_sqlite3="no"])
+if test "x$have_sqlite3" != "xno"; then
+   AC_DEFINE([WITH_SQLITE3], [1], [yes])
+   SQLITE3LIBS="$LIBS"
+fi
+LIBS="$SAVE_LIBS"
+
+AM_CONDITIONAL([WITH_SQLITE3], [test ! "x$have_sqlite3" = "no"])
+AC_SUBST(SQLITE3LIBS)
+
 dnl CNC:2003-03-20
 AC_MSG_CHECKING(for --disable-scripts)
 AC_ARG_ENABLE([scripts],
@@ -135,6 +148,7 @@ else
 fi
 AM_CONDITIONAL(WITH_SELINUX, test "$enable_selinux" != "no")
 
+
 dnl Repomd support
 AC_MSG_CHECKING(for --disable-repomd)
 AC_ARG_ENABLE([repomd],
@@ -151,7 +165,7 @@ if test "$enable_repomd" != "no"; then
   ## FIXME: Conditionalize this properly. We can support xml repomd without 
   ## sqlite and repodb with libxml2 older than 2.6. In addition, rollback
   ## will be using sqlite as well, we only want to check for it once.
-  RPMLIBS="$RPMLIBS -lsqlite3"
+  RPMLIBS="$RPMLIBS $SQLITE3LIBS"
 else
   AC_MSG_RESULT(yes)
 fi
index a82dd94..fe52086 100644 (file)
@@ -132,6 +132,7 @@ SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOCKETLIBS = @SOCKETLIBS@
+SQLITE3LIBS = @SQLITE3LIBS@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@
index 69635f0..1067813 100644 (file)
@@ -181,6 +181,7 @@ SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOCKETLIBS = @SOCKETLIBS@
+SQLITE3LIBS = @SQLITE3LIBS@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@
index 34630ec..755f3f8 100644 (file)
@@ -201,6 +201,7 @@ SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOCKETLIBS = @SOCKETLIBS@
+SQLITE3LIBS = @SQLITE3LIBS@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@
index 718033f..38db517 100644 (file)
@@ -168,6 +168,7 @@ SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOCKETLIBS = @SOCKETLIBS@
+SQLITE3LIBS = @SQLITE3LIBS@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@
index 300cd63..84fc8ed 100644 (file)
@@ -176,6 +176,7 @@ SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 SOCKETLIBS = @SOCKETLIBS@
+SQLITE3LIBS = @SQLITE3LIBS@
 STRIP = @STRIP@
 USE_NLS = @USE_NLS@
 VERSION = @VERSION@